Radix cross Linux

The main Radix cross Linux repository contains the build scripts of packages, which have the most complete and common functionality for desktop machines

452 Commits   2 Branches   1 Tag
Index: avahi-0.8-new/avahi-dnsconfd/avahi-dnsconfd.action
===================================================================
--- avahi-0.8-new/avahi-dnsconfd/avahi-dnsconfd.action	(nonexistent)
+++ avahi-0.8-new/avahi-dnsconfd/avahi-dnsconfd.action	(revision 331)
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# This file is part of avahi.
+# 
+# avahi is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# avahi is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with avahi; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+set -e
+
+test "x$AVAHI_INTERFACE" != "x"
+
+# Command line arguments:
+#   $1 "+" if a new DNS server was found, "-" if one was removed
+#   $2 DNS Server address
+#   $3 interface index where this server was found on
+#   $4 protocol number where this server was found on
+
+# Available environment variables:
+#
+#   $AVAHI_INTERFACE               The interface name where this DNS server was found on
+#   $AVAHI_INTERFACE_DNS_SERVERS   A whitespace seperated list of DNS servers on $AVAHI_INTERFACE
+#   $AVAHI_DNS_SERVERS             The complete list of all DNS servers found on all interfaces
+
+
+if [ "x$AVAHI_DNS_SERVERS" = "x" ] ; then
+        test -f /etc/resolv.conf.avahi && mv /etc/resolv.conf.avahi /etc/resolv.conf
+else
+        test -f /etc/resolv.conf.avahi || mv /etc/resolv.conf /etc/resolv.conf.avahi
+
+        grep -v ^nameserver /etc/resolv.conf.avahi > /etc/resolv.conf
+
+        for n in $AVAHI_DNS_SERVERS ; do
+                echo "nameserver $n"
+        done >> /etc/resolv.conf
+fi
+

Property changes on: avahi-0.8-new/avahi-dnsconfd/avahi-dnsconfd.action
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: create.patch.sh
===================================================================
--- create.patch.sh	(nonexistent)
+++ create.patch.sh	(revision 331)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+VERSION=0.8
+
+tar --files-from=file.list -xJvf ../avahi-$VERSION.tar.xz
+mv avahi-$VERSION avahi-$VERSION-orig
+
+cp -rf ./avahi-$VERSION-new ./avahi-$VERSION
+
+diff --unified -Nr  avahi-$VERSION-orig  avahi-$VERSION > avahi-$VERSION-dnsconfd-action.patch
+
+mv avahi-$VERSION-dnsconfd-action.patch ../patches
+
+rm -rf ./avahi-$VERSION
+rm -rf ./avahi-$VERSION-orig

Property changes on: create.patch.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: file.list
===================================================================
--- file.list	(nonexistent)
+++ file.list	(revision 331)
@@ -0,0 +1 @@
+avahi-0.8/avahi-dnsconfd/avahi-dnsconfd.action